version: '3.7'

# Docker Networks
networks:
  pg_local:
    external:
      name: pgadmin_pg_local

services:
  signer_service:
    image: "signer:local"
    container_name: signer
    user: "${UID}:${GID}"
    volumes:
      - ./app:/app
#    restart: always
    env_file:
      - ./.env
    networks:
      - pg_local
    logging:
      options:
        max-file: "10"
        max-size: "20m"
    command: ['python', 'signer.py']
    secrets:
      - oracle_signer_passw

secrets:
  oracle_signer_passw:
    file: readme.not 
